## org.eclipse.datatools.enablement.sybase.ddl
Class SybaseDdlScript

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlScript
          org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlScript

    public class SybaseDdlScript

extends GenericDdlScript

Constructor Summary
`SybaseDdlScript()`

Method Summary
`void` `addAlterIndexClusteredStatements(java.lang.String statement)`
`void` `addAlterIndexNonclusteredStatements(java.lang.String statement)`
`void` `addAlterOtherStatements(java.lang.String statement)`
`void` `addAlterTableAlterConstraintStatements(java.lang.String statement)`
`void` `addAlterTableColumnStatements(java.lang.String statement)`
`void` `addAlterTableDropColumnStatements(java.lang.String statement)`
`void` `addAlterTableModifyColumnTypeStatements(java.lang.String statement)`
`void` `addAlterTableRenameColumnStatements(java.lang.String statement)`
`void` `addAlterTableRenameConstraintStatement(java.lang.String statement)`
`void` `addAlterTableRenameStatements(java.lang.String statement)`
`void` `addCleanUpStatements(java.lang.String statement)`
`void` `addCommentOnStatements(java.lang.String statement)`
`void` `addCreateDatabaseObjectStatements(java.lang.String statement)`
`void` `addCreateDatabaseStatements(java.lang.String statement)`
`void` `addCreateDefaultStatements(java.lang.String statement)`
`void` `addCreateEventStatements(java.lang.String statement)`
`void` `addCreateGroupStatements(java.lang.String statement)`
`void` `addCreateOtherStatements(java.lang.String statement)`
`void` `addCreateRoutineStatements(java.lang.String statement)`
`void` `addCreateRuleStatements(java.lang.String statement)`
`void` `addCreateUDDStatements(java.lang.String statement)`
`void` `addCreateUserStatements(java.lang.String statement)`
`void` `addDropDatabaseObjectStatements(java.lang.String statement)`
`void` `addDropDatabaseStatements(java.lang.String statement)`
`void` `addDropDefaultStatements(java.lang.String statement)`
`void` `addDropEventStatements(java.lang.String statement)`
`void` `addDropGroupStatements(java.lang.String statement)`
`void` `addDropOtherStatements(java.lang.String statement)`
`void` `addDropRoutineStatement(java.lang.String statement)`
`void` `addDropRuleStatements(java.lang.String statement)`
`void` `addDropUDDStatements(java.lang.String statement)`
`void` `addDropUserStatements(java.lang.String statement)`
`void` `addGrantPrivilegeStatement(java.lang.String statement)`
`void` `addRevokePrivilegeStatement(java.lang.String statement)`
`void` `addUseDatabaseCreateStatements(java.lang.String statement)`
`void` `addUseDatabaseDropStatements(java.lang.String statement)`
`java.lang.String[]` `getStatements()`
`void` `merge(SybaseDdlScript script)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlScript

`addAlterTableAddConstraintStatement, addAlterTableAddForeignKeyStatement, addAlterTableDropConstraintStatement, addAlterTableDropForeignKeyStatement, addAlterTableStatement, addCreateAssertionStatement, addCreateIndexStatement, addCreateSchemaStatement, addCreateStoredProcedureStatement, addCreateTableStatement, addCreateTriggerStatement, addCreateUserDefinedFunctionStatement, addCreateUserDefinedTypeStatement, addCreateViewStatement, addDropAssertionStatement, addDropIndexStatement, addDropSchemaStatement, addDropStoredProcedureStatement, addDropTableStatement, addDropTriggerStatement, addDropUserDefinedFunctionStatement, addDropUserDefinedTypeStatement, addDropViewStatement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseDdlScript

    public SybaseDdlScript()

Method Detail

### merge

    public void merge(SybaseDdlScript script)

### getStatements

    public java.lang.String[] getStatements()

  Overrides:
    `getStatements` in class `GenericDdlScript`

### addAlterIndexNonclusteredStatements

    public void addAlterIndexNonclusteredStatements(java.lang.String statement)

### addAlterIndexClusteredStatements

    public void addAlterIndexClusteredStatements(java.lang.String statement)

### addAlterTableRenameStatements

    public void addAlterTableRenameStatements(java.lang.String statement)

### addAlterTableDropColumnStatements

    public void addAlterTableDropColumnStatements(java.lang.String statement)

### addCreateRuleStatements

    public void addCreateRuleStatements(java.lang.String statement)

### addCreateDefaultStatements

    public void addCreateDefaultStatements(java.lang.String statement)

### addCreateUDDStatements

    public void addCreateUDDStatements(java.lang.String statement)

### addCreateOtherStatements

    public void addCreateOtherStatements(java.lang.String statement)

### addDropRuleStatements

    public void addDropRuleStatements(java.lang.String statement)

### addDropDefaultStatements

    public void addDropDefaultStatements(java.lang.String statement)

### addDropUDDStatements

    public void addDropUDDStatements(java.lang.String statement)

### addDropOtherStatements

    public void addDropOtherStatements(java.lang.String statement)

### addAlterOtherStatements

    public void addAlterOtherStatements(java.lang.String statement)

### addDropEventStatements

    public void addDropEventStatements(java.lang.String statement)

### addCreateEventStatements

    public void addCreateEventStatements(java.lang.String statement)

### addCreateRoutineStatements

    public void addCreateRoutineStatements(java.lang.String statement)

### addDropRoutineStatement

    public void addDropRoutineStatement(java.lang.String statement)

### addGrantPrivilegeStatement

    public void addGrantPrivilegeStatement(java.lang.String statement)

### addRevokePrivilegeStatement

    public void addRevokePrivilegeStatement(java.lang.String statement)

### addAlterTableRenameConstraintStatement

    public void addAlterTableRenameConstraintStatement(java.lang.String statement)

### addCreateDatabaseStatements

    public void addCreateDatabaseStatements(java.lang.String statement)

### addDropDatabaseStatements

    public void addDropDatabaseStatements(java.lang.String statement)

### addCreateUserStatements

    public void addCreateUserStatements(java.lang.String statement)

### addCreateGroupStatements

    public void addCreateGroupStatements(java.lang.String statement)

### addDropUserStatements

    public void addDropUserStatements(java.lang.String statement)

### addDropGroupStatements

    public void addDropGroupStatements(java.lang.String statement)

### addDropDatabaseObjectStatements

    public void addDropDatabaseObjectStatements(java.lang.String statement)

### addCreateDatabaseObjectStatements

    public void addCreateDatabaseObjectStatements(java.lang.String statement)

### addAlterTableColumnStatements

    public void addAlterTableColumnStatements(java.lang.String statement)

### addAlterTableModifyColumnTypeStatements

    public void addAlterTableModifyColumnTypeStatements(java.lang.String statement)

### addAlterTableRenameColumnStatements

    public void addAlterTableRenameColumnStatements(java.lang.String statement)

### addCleanUpStatements

    public void addCleanUpStatements(java.lang.String statement)

### addUseDatabaseDropStatements

    public void addUseDatabaseDropStatements(java.lang.String statement)

### addUseDatabaseCreateStatements

    public void addUseDatabaseCreateStatements(java.lang.String statement)

### addAlterTableAlterConstraintStatements

    public void addAlterTableAlterConstraintStatements(java.lang.String statement)

### addCommentOnStatements

    public void addCommentOnStatements(java.lang.String statement)